Supported Hypervisors for XenDesktop and Provisioning Services

Citrix Hypervisor, formerly XenServer, is powered by the Xen Project hypervisor.

Citrix is committed to ensuring that our products function with the latest VMware, Microsoft, and Citrix Hypervisors.

Click the following products to view the supported configurations matrix.

XenServer – Provisioning Services XenServer – XenDesktop
vSphere – Provisioning Services vSphere – XenDesktop
SCVMM – Provisioning Services SCVMM – XenDesktop
Nutanix Acropolis – Provisioning Services Nutanix Acropolis – XenDesktop

Note:

  • This matrix indicates supported configurations of XenDesktop and Provisioning Services with various hypervisor solutions. When Yes is listed for a combination, it means Citrix will provide technical support to assist with any issues encountered. Any known issues and requirements for certain combinations are indicated with notes.
  • XenApp 6.0 and 6.5 are hypervisor agnostic. If XenApp is deployed through Citrix Provisioning Services, refer to the Provisioning Services product support for the hypervisor.
  • This article will be updated periodically as new information becomes available.

What has changed from the last release of the matrix?

  • Removed vSphere versions that are End of Life.
  • Added support for XenServer 7.6
  • Added support for Citrix Virtual Apps and Desktops 7 1808.


XenServer – Provisioning Services (PVS)

Supported Hypervisors / XenServer Provisioning Services
1808/7.15 LTSR 7.18 7.17 7.16 7.14 /

7.6 LTSR
XenServer 7.6 Yes No No No No
XenServer 7.5 Yes Yes No No No
XenServer 7.4 Yes Yes Yes No No
XenServer 7.3 No Yes Yes Yes No
XenServer 7.2 No Yes Yes Yes Yes
XenServer 7.1 LTSR Yes Yes Yes Yes Yes
XenServer 7.0 Yes Yes Yes Yes Yes

Go back to top

XenServer – Virtual Desktops (XenDesktop)

Supported Hypervisors

/XenServer
Virtual Desktops (XenDesktop)
1808 7.15 LTSR 7.18 7.17 7.16 7.14 /

7.6 LTSR
XenServer 7.6 Yes Yes No No No No
XenServer 7.5 Yes Yes Yes No No No
XenServer 7.4 Yes Yes Yes Yes No No
XenServer 7.3 No Yes Yes Yes Yes No
XenServer 7.2 No Yes Yes Yes Yes Yes
XenServer 7.1 LTSR Yes(With CU1 applied) Yes Yes Yes Yes Yes
XenServer 7.0 Yes Yes Yes Yes Yes Yes

Go back to top


vSphere – Provisioning Services (PVS)

Note:

  • Citrix performs compatibility tests only with the major updates of VMware vSphere, like Update 1, 2 and so on. The minor updates like 1a, 1b, 2a and so on are not tested, however they are expected to work fine.
  • Testing of updates for the earlier version of VMware vSphere might be limited, as priority is given to the updates of the current version. When using earlier releases of these products, Citrix recommends validating product updates for proper functionality and interoperability in a test environment first before updating production environments.
Supported Hypervisors / vSphere Provisioning Services
1808/7.18 7.17/7.16 / 7.15 LTSR 7.14 7.6 LTSR
vSphere 6.7 Supported. Refer to CTX235513

for more details
No No No
vSphere 6.5

(Up to update 2)
Supported.

Refer to CTX219808

for more details
Supported.

Refer to CTX219808
Supported.

Refer to CTX219808
Supported.

Refer to CTX219808
vSphere 6

(Up to update 3)
Supported.

Refer to CTX200969

for more details
Supported.

Refer to CTX200969

for more details
Supported.

Refer to CTX200969

for more details
Supported.

Refer to CTX200969

for more details
vSphere 5.5

(Up to update 3)
Supported.

Refer to CTX140135

for more details
Supported.

Refer to CTX140135

for more details
Supported.

Refer to CTX140135

for more details
Supported.

Refer to CTX140135

for more details

Go back to top

vSphere – Virtual Desktops (XenDesktop)

Supported Hypervisors

/vSphere
Virtual Desktops (XenDesktop)
1808/7.18 7.17/7.16 /7.15 LTSR 7.14 7.6 LTSR
vSphere 6.7 Supported. Refer to CTX235513

for more details
No No No
vSphere 6.5 (Up to update 2) Supported.Refer to CTX219808

for more details
Supported.Refer to CTX219808

for more details
Supported.Refer to CTX219808

for more details
Supported.Refer to CTX219808

for more details
vSphere 6 (Up to update 3) Supported.Refer to CTX200969

for more details
Supported.Refer to CTX200969

for more details
SupportedRefer to CTX200969

for more details
Supported.Refer to CTX200969

for more details
vSphere 5.5 (Up to update 3) Supported.Refer to CTX140135 for more details Supported.Refer to CTX140135for more details Supported.Refer to CTX140135for more details Supported.Refer to CTX140135for more details

Go back to top

SCVMM – Provisioning Services (PVS)

Supported Hypervisors / SCVMM Provisioning Services
1808 7.18 / 7.17 / 7.16 / 7.15 LTSR 7.14 7.6 LTSR
SCVMM 2016 Yes Yes Yes No
SCVMM 2012 R2 Yes Yes Yes Yes
SCVMM 2012 SP1 Yes Yes Yes Yes
SCVMM 2012 Yes Yes Yes Yes

Go back to top

SCVMM – Virtual Desktops (XenDesktop)

Supported Hypervisors / SCVMM Virtual Desktops (XenDesktop)
1808 7.18 / 7.17 / 7.16 / 7.15 LTSR 7.14 7.6 LTSR
SCVMM 2016 Yes Yes Yes No
SCVMM 2012 R2 Yes Yes Yes Yes
SCVMM 2012 SP1 Yes Yes Yes Yes
SCVMM 2012 Yes Yes Yes Yes

Go back to top

Nutanix Acropolis – Provisioning Services (PVS)

Supported Hypervisors / Nutanix Acropolis Provisioning Services
1808 7.18 / 7.17 / 7.16 / 7.15 LTSR / 7.14 7.6 LTSR
Acropolis Operating System (AOS) 5.5 or later Yes Yes No

Go back to top

Nutanix Acropolis – Virtual Desktops (XenDesktop)

Supported Hypervisors / Nutanix Acropolis XenDesktop
1808 7.18 / 7.17 / 7.16 / 7.15 LTSR 7.14/7.6 LTSR
Acropolis Operating System (AOS) 4.6.1.x or later Supported. Refer to CTX202032

for more details.
Supported. Refer to CTX202032

for more details.
Supported. Refer to CTX202032

for more details.

Go back to top

Additional Resources

Related:

  • No Related Posts

Leave a Reply